Subject: Re: git-svn: commit author x commit committer issue

From: Quy Tonthat <[email-masked]>
Date: Thu, 09 Aug 2007 01:42:24 +1000

Richard MUSIL wrote:
> Normally, when patch is applied, git distinguishes commit author and
> commit committer (relying on info from patch).
> However, after the patches are committed to svn repository using:
> git-svn dcommit
> author and committer data are set to same values (or at least time and
> date, I cannot verify it for names).
> I wonder if there is any reason for this behavior, because I would
> definitely like to keep original commit info (which came from patch) in
> my git repository.

I'm sure this worked before (author and committee are different, that is).
Something went wrong recently but I haven't got time to look into the problem.
I hope someone would.

Quy